Main Page Widgets Namespaces Book

# Gtk::FileChooserDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::FileChooserDialog:

[legend]
List of all members.

## Detailed Description

Convenient file chooser window.

## Public Member Functions

| FileChooserDialog (const Glib::ustring& title, FileChooserAction action, const Glib::ustring& backend)
| FileChooserDialog (Gtk::Window& parent, const Glib::ustring& title, FileChooserAction action, const Glib::ustring& backend)
| FileChooserDialog (const Glib::ustring& title, FileChooserAction action=FILE_CHOOSER_ACTION_OPEN)
| FileChooserDialog (Gtk::Window& parent, const Glib::ustring& title, FileChooserAction action=FILE_CHOOSER_ACTION_OPEN)
const GtkFileChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkFileChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~FileChooserDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::FileChooserDialog* | wrap (GtkFileChooserDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::FileChooserDialog::~FileChooserDialog | ( |  | ) | `[virtual]`

Gtk::FileChooserDialog::FileChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title,
|  | FileChooserAction | action = `FILE_CHOOSER_ACTION_OPEN`
| ) | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | const Glib::ustring& | title,
|  | FileChooserAction | action = `FILE_CHOOSER_ACTION_OPEN`
| ) | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title,
|  | FileChooserAction | action,
|  | const Glib::ustring& | backend
| ) | `[explicit]`

Gtk::FileChooserDialog::FileChooserDialog | ( | const Glib::ustring& | title,
|  | FileChooserAction | action,
|  | const Glib::ustring& | backend
| ) | `[explicit]`

## Member Function Documentation

const GtkFileChooserDialog* Gtk::FileChooserDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkFileChooserDialog* Gtk::FileChooserDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::FileChooserDialog* wrap | ( | GtkFileChooserDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- filechooserdialog.h